# Initiate Transaction

<mark style="color:green;">`POST`</mark> `https://api.pis.ng/v1.0/payouts/transfer/create`

#### Headers

| Name                                           | Type   | Description          |
| ---------------------------------------------- | ------ | -------------------- |
| Secret-Key<mark style="color:red;">\*</mark>   | string | Your PIS Secret Key. |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json     |

#### Request Body

| Name                                            | Type   | Description                                                                                                     |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| reference<mark style="color:red;">\*</mark>     | string | A unique reference (100 chars max) for this transaction; can be used in querying its status.                    |
| amount<mark style="color:red;">\*</mark>        | float  | The amount you want to transfer.                                                                                |
| accountNumber<mark style="color:red;">\*</mark> | int    | The recipient's account number.                                                                                 |
| bankCode<mark style="color:red;">\*</mark>      | string | The recipient's (NIP) bank code. See bank codes from the [Get bank list](/v1.0/misc/get-bank-list.md) endpoint. |
| narration<mark style="color:red;">\*</mark>     | string | The transaction narration.                                                                                      |
| callbackUrl                                     | string | Your callback URL. We'll notify you here if the status of the transaction changes.                              |

{% tabs %}
{% tab title="200: OK application/json" %}

```json
{
    "code": 200,
    "status": "success",
    "message": "Successful",
    "data": {
        "amount": 100,
        "accountNumber": "1111111111",
        "accountName": "DAVID OKEDION",
        "bankName": "GUARANTEE TRUST BANK",
        "bankCode": "000013",
        "narration": "Testing",
        "charge": "50"
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized application/json" %}

```json
{
    "code": 401,
    "status": "error",
    "message": "Authorization required!",
    "data": null
}
```

{% endtab %}

{% tab title="400: Bad Request application/json" %}

```json
{
    "code": 400,
    "status": "error",
    "message": "Bad Request",
    "data": null
}
```

{% endtab %}

{% tab title="404: Not Found application/json" %}

```json
{
    "code": 404,
    "status": "error",
    "message": "The endpoint you are trying to access does not exist.",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pis.ng/v1.0/payouts/bank-transfer/initiate-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
